diff -pruN 7.74.0-1.2/debian/changelog 7.74.0-1.3/debian/changelog
--- 7.74.0-1.2/debian/changelog	2021-04-03 12:43:39.000000000 +0000
+++ 7.74.0-1.3/debian/changelog	2021-06-25 18:59:54.000000000 +0000
@@ -1,3 +1,11 @@
+curl (7.74.0-1.3) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Add upstream patch bc7ecc7 so curl -w times shown as seconds with
+    fractions (Closes: #989064)
+
+ -- Paul Gevers <elbrus@debian.org>  Fri, 25 Jun 2021 20:59:54 +0200
+
 curl (7.74.0-1.2) unstable; urgency=medium
 
   * Non-maintainer upload.
diff -pruN 7.74.0-1.2/debian/patches/14_transfer-strip-credentials-from-the-auto-referer-hea.patch 7.74.0-1.3/debian/patches/14_transfer-strip-credentials-from-the-auto-referer-hea.patch
--- 7.74.0-1.2/debian/patches/14_transfer-strip-credentials-from-the-auto-referer-hea.patch	2021-04-03 12:43:39.000000000 +0000
+++ 7.74.0-1.3/debian/patches/14_transfer-strip-credentials-from-the-auto-referer-hea.patch	2021-06-25 18:59:54.000000000 +0000
@@ -86,11 +86,11 @@ Bug: https://curl.se/docs/CVE-2021-22876
 +# Server-side
 +<reply>
 +<data nocheck="yes">
-+HTTP/1.1 301 This is a weirdo text message swsclose
-+Location: data/%TESTNUMBER0002.txt?coolsite=yes
-+Content-Length: 62
-+Connection: close
-+
++HTTP/1.1 301 This is a weirdo text message swsclose
++Location: data/%TESTNUMBER0002.txt?coolsite=yes
++Content-Length: 62
++Connection: close
++
 +This server reply is for testing a simple Location: following
 +</data>
 +</reply>
@@ -114,26 +114,26 @@ Bug: https://curl.se/docs/CVE-2021-22876
 +52
 +</errorcode>
 +<protocol>
-+GET /we/want/our/%TESTNUMBER HTTP/1.1
-+Host: %HOSTIP:%HTTPPORT
-+Authorization: Basic dXNlcjpwYXNz
-+User-Agent: curl/%VERSION
-+Accept: */*
-+
-+GET /we/want/our/data/%TESTNUMBER0002.txt?coolsite=yes HTTP/1.1
-+Host: %HOSTIP:%HTTPPORT
-+Authorization: Basic dXNlcjpwYXNz
-+User-Agent: curl/%VERSION
-+Accept: */*
-+Referer: http://%HOSTIP:%HTTPPORT/we/want/our/%TESTNUMBER
-+
++GET /we/want/our/%TESTNUMBER HTTP/1.1
++Host: %HOSTIP:%HTTPPORT
++Authorization: Basic dXNlcjpwYXNz
++User-Agent: curl/%VERSION
++Accept: */*
++
++GET /we/want/our/data/%TESTNUMBER0002.txt?coolsite=yes HTTP/1.1
++Host: %HOSTIP:%HTTPPORT
++Authorization: Basic dXNlcjpwYXNz
++User-Agent: curl/%VERSION
++Accept: */*
++Referer: http://%HOSTIP:%HTTPPORT/we/want/our/%TESTNUMBER
++
 +</protocol>
 +<stdout>
-+HTTP/1.1 301 This is a weirdo text message swsclose
-+Location: data/%TESTNUMBER0002.txt?coolsite=yes
-+Content-Length: 62
-+Connection: close
-+
++HTTP/1.1 301 This is a weirdo text message swsclose
++Location: data/%TESTNUMBER0002.txt?coolsite=yes
++Content-Length: 62
++Connection: close
++
 +http://%HOSTIP:%HTTPPORT/we/want/our/%TESTNUMBER
 +</stdout>
 +</verify>
diff -pruN 7.74.0-1.2/debian/patches/fix-regression-microseconds-instead-of-seconds.patch 7.74.0-1.3/debian/patches/fix-regression-microseconds-instead-of-seconds.patch
--- 7.74.0-1.2/debian/patches/fix-regression-microseconds-instead-of-seconds.patch	1970-01-01 00:00:00.000000000 +0000
+++ 7.74.0-1.3/debian/patches/fix-regression-microseconds-instead-of-seconds.patch	2021-06-25 18:59:54.000000000 +0000
@@ -0,0 +1,87 @@
+From bc7ecc71c0c11d22fdbe6415a7945bfc43dc3c33 Mon Sep 17 00:00:00 2001
+From: Daniel Stenberg <daniel@haxx.se>
+Date: Tue, 15 Dec 2020 08:09:29 +0100
+Subject: [PATCH] =?UTF-8?q?too=C4=BA=5Fwriteout:=20fix=20the=20-w=20time?=
+ =?UTF-8?q?=20output=20units?=
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+Fix regression from commit fc813f80e1bcac (#6248) that changed the unit
+to microseconds instead of seconds with fractions
+
+Reported-by: 不确定
+Fixes #6321
+Closes #6322
+---
+ src/tool_writeout.c | 22 +++++++++++++++-------
+ 1 file changed, 15 insertions(+), 7 deletions(-)
+
+diff --git a/src/tool_writeout.c b/src/tool_writeout.c
+index c12738c439aa..8b9f590053e5 100644
+--- a/src/tool_writeout.c
++++ b/src/tool_writeout.c
+@@ -106,6 +106,14 @@ static const struct writeoutvar variables[] = {
+    0, JSON_NONE}
+ };
+ 
++static void us2sec(FILE *stream, curl_off_t us)
++{
++  curl_off_t secs = us / 1000000;
++  us %= 1000000;
++  fprintf(stream, "%" CURL_FORMAT_CURL_OFF_TU ".%06" CURL_FORMAT_CURL_OFF_TU,
++          secs, us);
++}
++
+ void ourWriteOut(CURL *curl, struct per_transfer *per, const char *writeinfo)
+ {
+   FILE *stream = stdout;
+@@ -190,41 +198,41 @@ void ourWriteOut(CURL *curl, struct per_transfer *per, const char *writeinfo)
+               case VAR_REDIRECT_TIME:
+                 if(CURLE_OK ==
+                    curl_easy_getinfo(curl, CURLINFO_REDIRECT_TIME_T, &offinfo))
+-                  fprintf(stream, "%" CURL_FORMAT_CURL_OFF_TU, offinfo);
++                  us2sec(stream, offinfo);
+                 break;
+               case VAR_TOTAL_TIME:
+                 if(CURLE_OK ==
+                    curl_easy_getinfo(curl, CURLINFO_TOTAL_TIME_T, &offinfo))
+-                  fprintf(stream, "%" CURL_FORMAT_CURL_OFF_TU, offinfo);
++                  us2sec(stream, offinfo);
+                 break;
+               case VAR_NAMELOOKUP_TIME:
+                 if(CURLE_OK ==
+                    curl_easy_getinfo(curl, CURLINFO_NAMELOOKUP_TIME_T,
+                                      &offinfo))
+-                  fprintf(stream, "%" CURL_FORMAT_CURL_OFF_TU, offinfo);
++                  us2sec(stream, offinfo);
+                 break;
+               case VAR_CONNECT_TIME:
+                 if(CURLE_OK ==
+                    curl_easy_getinfo(curl, CURLINFO_CONNECT_TIME_T, &offinfo))
+-                  fprintf(stream, "%" CURL_FORMAT_CURL_OFF_TU, offinfo);
++                  us2sec(stream, offinfo);
+                 break;
+               case VAR_APPCONNECT_TIME:
+                 if(CURLE_OK ==
+                    curl_easy_getinfo(curl, CURLINFO_APPCONNECT_TIME_T,
+                                      &offinfo))
+-                  fprintf(stream, "%" CURL_FORMAT_CURL_OFF_TU, offinfo);
++                  us2sec(stream, offinfo);
+                 break;
+               case VAR_PRETRANSFER_TIME:
+                 if(CURLE_OK ==
+                    curl_easy_getinfo(curl, CURLINFO_PRETRANSFER_TIME_T,
+                                      &offinfo))
+-                  fprintf(stream, "%" CURL_FORMAT_CURL_OFF_TU, offinfo);
++                  us2sec(stream, offinfo);
+                 break;
+               case VAR_STARTTRANSFER_TIME:
+                 if(CURLE_OK ==
+                    curl_easy_getinfo(curl, CURLINFO_STARTTRANSFER_TIME_T,
+                                      &offinfo))
+-                  fprintf(stream, "%" CURL_FORMAT_CURL_OFF_TU, offinfo);
++                  us2sec(stream, offinfo);
+                 break;
+               case VAR_SIZE_UPLOAD:
+                 if(CURLE_OK ==
diff -pruN 7.74.0-1.2/debian/patches/series 7.74.0-1.3/debian/patches/series
--- 7.74.0-1.2/debian/patches/series	2021-04-03 12:43:39.000000000 +0000
+++ 7.74.0-1.3/debian/patches/series	2021-06-25 18:59:54.000000000 +0000
@@ -7,6 +7,7 @@
 13_fix-man-formatting.patch
 14_transfer-strip-credentials-from-the-auto-referer-hea.patch
 15_vtls-add-isproxy-argument-to-Curl_ssl_get-addsession.patch
+fix-regression-microseconds-instead-of-seconds.patch
 
 # do not add patches below
 90_gnutls.patch
